%if 0%{?rhel} < 7 && 0%{?rhel} > 0
%global _pkgdocdir %{_docdir}/%{name}-%{version}
%endif

%global moduletype apps
%global modulename copr
%global selinuxbooleans httpd_enable_cgi=1 httpd_can_network_connect=1 httpd_can_sendmail=1 nis_enabled=1
# We can build 'mls' too, once this is resolved:
# https://github.com/fedora-selinux/selinux-policy-macros/pull/4
%global selinuxvariants targeted

Name:       copr-selinux
Version:    1.55.1
Release:    1.20231025100926015590.main.31.ge5617887%{?dist}
Summary:    SELinux module for COPR

License:    GPL-2.0-or-later
URL:        https://github.com/fedora-copr/copr

# Source is created by:
# git clone %%url && cd copr
# tito build --tgz --tag %%name-%%version-%%release
Source0:    copr-selinux-1.55.1.tar.gz

BuildArch:  noarch
BuildRequires: asciidoc
BuildRequires: libxslt
BuildRequires:  perl

BuildRequires: selinux-policy-devel
%{?selinux_requires}


%description
COPR is lightweight build system. It allows you to create new project in WebUI,
and submit new builds and COPR will create yum repository from latest builds.

This package include SELinux targeted module for COPR

%prep
%setup -q -n copr-selinux-1.55.1


%build
# convert manages
a2x -d manpage -f manpage man/copr-selinux-enable.8.asciidoc
a2x -d manpage -f manpage man/copr-selinux-relabel.8.asciidoc

perl -i -pe 'BEGIN { $VER = join ".", grep /^\d+$/, split /\./, "%{version}.%{release}"; } s!\@\@VERSION\@\@!$VER!g;' %{modulename}.te
for selinuxvariant in %selinuxvariants; do
    make NAME=${selinuxvariant} -f %{_datadir}/selinux/devel/Makefile
    bzip2 -9 %{modulename}.pp
    mv %{modulename}.pp.bz2 %{modulename}.pp.bz2.${selinuxvariant}
    make NAME=${selinuxvariant} -f %{_datadir}/selinux/devel/Makefile clean
done


%install
for selinuxvariant in %selinuxvariants; do
    install -d %{buildroot}%{_datadir}/selinux/${selinuxvariant}
    install -p -m 644 %{modulename}.pp.bz2.${selinuxvariant} \
           %{buildroot}%{_datadir}/selinux/${selinuxvariant}/%{modulename}.pp.bz2
done
# Install SELinux interfaces
install -d %{buildroot}%{_datadir}/selinux/devel/include/%{moduletype}
install -p -m 644 %{modulename}.if \
  %{buildroot}%{_datadir}/selinux/devel/include/%{moduletype}/%{modulename}.if
install -d %{buildroot}%{_sbindir}
install -p -m 755 %{name}-enable %{buildroot}%{_sbindir}/%{name}-enable
install -p -m 755 %{name}-relabel %{buildroot}%{_sbindir}/%{name}-relabel
install -d %{buildroot}%{_mandir}/man8
install -p -m 644 man/%{name}-enable.8 %{buildroot}/%{_mandir}/man8/
install -p -m 644 man/%{name}-relabel.8 %{buildroot}/%{_mandir}/man8/


%pre
for selinuxvariant in %selinuxvariants; do
  %selinux_relabel_pre -s $selinuxvariant
done


%post
for selinuxvariant in %selinuxvariants; do
  %selinux_modules_install -s $selinuxvariant %{_datadir}/selinux/${selinuxvariant}/%{modulename}.pp.bz2
  %selinux_set_booleans    -s $selinuxvariant %{selinuxbooleans}
done


%postun
for selinuxvariant in %selinuxvariants; do
  %selinux_modules_uninstall -s $selinuxvariant %{modulename}
  %selinux_unset_booleans    -s $selinuxvariant %{selinuxbooleans}
done


%posttrans
for selinuxvariant in %selinuxvariants; do
  %selinux_relabel_post -s $selinuxvariant
done


%files
%license LICENSE
%{_datadir}/selinux/*/%{modulename}.pp.bz2
# empty, do not distribute it for now
%exclude %{_datadir}/selinux/devel/include/%{moduletype}/%{modulename}.if
%{_sbindir}/%{name}-enable
%{_sbindir}/%{name}-relabel
%{_mandir}/man8/%{name}-enable.8*
%{_mandir}/man8/%{name}-relabel.8*

%changelog
* Wed Oct 25 2023 Packit <hello@packit.dev> - 1.55.1-1.20231025100926015590.main.31.ge5617887
- doc: faq - how to handle autospec (Miroslav Suchý)
- backend: don't sign srpm-builds (Pavel Raiskup)
- backend: longer timeout for fallback generating GPG keys after build (Jakub Kadlcik)
- backend: add --no-threads parameter for easier debugging (Jakub Kadlcik)
- backend: recreate missing repodata so that prunerepo doesn't traceback (Jakub Kadlcik)
- backend: fix several failing tests (Jakub Kadlcik)
- frontend: show recent copr builds on homepage as opt-in (Pavel Raiskup)
- frontend: keep temp projects up to 2 years (Julius Tranquilli)
- common/backend/distgit: rename GroupWorkerLimit to HashWorkerLimit (Pavel Raiskup)
- backend: provide per-arch & per-owner worker limit (Pavel Raiskup)
- frontend: re-raise errors to API instead of passing null (Jiri Kyjovsky)
- frontend: use get_copr_chroot_safe in get_build_record (Jiri Kyjovsky)
- Collect and compress fedora-review logs after run (Daniel Milnes)
- common: explicitly build-depend on python-six (Pavel Raiskup)
- frontend: don't log anything if OIDC is disabled (Jakub Kadlcik)
- frontend: don't create a separate logger for the oidc.py file (Jakub Kadlcik)
- frontend: do not display recent builds box on main page (Miroslav Suchý)
- behave: fix expected version of common (Pavel Raiskup)
- frontend: explain the reason of skipped chroots (Jakub Kadlcik)
- rpmbuild: use Copr custom macros when parsing the specfile (Jakub Kadlcik)
- build(deps): bump actions/checkout from 3 to 4 (dependabot[bot])
- doc: s/Forbidden/Not-Allowed/ licenses (Pavel Raiskup)
- frontend: reword priority=X info for better look (Jiri Kyjovsky)
- backend: bypass worker's log down to sshcmd (Pavel Raiskup)
- backend: handle Popen timeout in one place (Pavel Raiskup)
- backend: sshcmd issues spotted by pylint (Pavel Raiskup)
- backend: react on staled SSH connections (Pavel Raiskup)
- frontend: provide "priority" value for 'dnf5 copr enable' (Pavel Raiskup)
- beaker: predictable sub-package ExclusiveArch test (Pavel Raiskup)
- beaker: align tests with the August 2023 release (Pavel Raiskup)
- doc: highlights from 2023-08-16 release (Jakub Kadlcik)
- Automatic commit of package [copr-rpmbuild] release [0.69-1]. (Pavel Raiskup)
- Automatic commit of package [copr-keygen] release [1.91-1]. (Pavel Raiskup)
- Automatic commit of package [copr-cli] release [1.110-1]. (Pavel Raiskup)
- Automatic commit of package [python-copr] release [1.130-1]. (Pavel Raiskup)
- Automatic commit of package [copr-dist-git] release [0.67-1]. (Pavel Raiskup)
- Automatic commit of package [copr-frontend] release [1.201-1]. (Pavel Raiskup)
- Automatic commit of package [copr-backend] release [1.172-1]. (Pavel Raiskup)
- releng: release for Fedora 39, too (Pavel Raiskup)
- Automatic commit of package [python-copr-common] release [0.20-1]. (Pavel Raiskup)
- frontend: allow "epoch is null" field in BuildChrootResult (Pavel Raiskup)
- backend: dump the /update/ payload to worker.log (Pavel Raiskup)
- backend: don't run external command to collect built packages (Jakub Kadlcik)
- backend: don't parse results.json for the second time (Jakub Kadlcik)
- frontend: skip ExcludeArch and ExclusiveArch for resubmitted builds (Jakub Kadlcik)
- Add upstream_tag_include to Packit config (Laura Barcziova)
- rpmbuild: require new python-specfile version (Jakub Kadlcik)
- frontend: support grab group info from OIDC provider (pkking)
- rpmbuild: override disttag macro to None (Jakub Kadlcik)
- rpmbuild: use values with evaluated macros (Jakub Kadlcik)
- rpmbuild: fix the check if a priority was set (Jakub Kadlcik)
- rpmbuild: return epoch value after macro expansion (Jakub Kadlcik)
- rpmbuild: build RPM in one mock call (Jakub Kadlcik)
- rpmbuild: speedup the custom build with mock bootstrap image (Pavel Raiskup)
- frontend: allow specifying fully-qualified bootstrap images (Pavel Raiskup)
- frontend: don't traceback upon exc*arch absence in results (Pavel Raiskup)
- backend: don't eat the "build detail collecting" traceback (Pavel Raiskup)
- rpmbuild: more reliable SRPM vs RPM build check (Jakub Kadlcik)
- backend: unknown-resalloc-tickets fixes (Pavel Raiskup)
- rpmbuild: save review.json from fedora-review (Jakub Kadlcik)
- rpmbuild: more verbose results.json SRPM generator (Pavel Raiskup)
- rpmbuild: drop dependency on simplejson (Pavel Raiskup)
- releng: release copr-common into EPEL8, too (Pavel Raiskup)
- backend: more careful format_evr() (Pavel Raiskup)
- rpmbuild: make sure detected epoch is int() or None (Pavel Raiskup)
- rpmbuild: retry downloads from lookaside-cache (Pavel Raiskup)
- distgit: tell rpkg not to generate pre-push hook (Jiri Kyjovsky)
- rpmbuild: rename fedora-review results even if the command fails (Jakub Kadlcik)
- rpmbuild: change some fedora-review print statements to log.info (Jakub Kadlcik)
- frontend, common: move chroot_to_branch to copr-common (Jakub Kadlcik)
- backend: fix tests for zst compression on F39+ (Jakub Kadlcik)
- frontend: allow config-based build-chroot tags (Pavel Raiskup)
- frontend: drop useless and confusing function split (Pavel Raiskup)
- frontend: drop 'Revises' from the Alembic template (Pavel Raiskup)
- frontend: don't show new action task if namespace is deleting itself (Jiri Kyjovsky)
- rpmbuild: fallback to querying NEVRA from SRPM package header (Jakub Kadlcik)
- rpmbuild: depend on new, much faster python3-specfile (Jakub Kadlcik)
- backend, rpmbuild: move package NEVR parsing to builder (Jakub Kadlcik)
- frontend: add relationship between Action model and Copr model (Jiri Kyjovsky)
- packit: yamllint (Pavel Raiskup)
- cli, frontend: rely on DNF with documenting repo priority (Pavel Raiskup)
- frontend:  group alias need 1:1 mapping to group (Li Chaoran)
- frontend, cli, python, rpmbuild: Add priority=X to repo config (Jiri Kyjovsky)
- dist-git: fix test_do_import test (Pavel Raiskup)
- backend: update tests to work with new test-data tarball (Jakub Kadlcik)
- packit: wait for python-copr-common to build first (Jiri Kyjovsky)
- cli: make build works in openEuler (lcrpkking)
- backend: log task dict in case of error returned from redis (Jiri Kyjovsky)
- Drop dependency on `future` (Lumir Balhar)
- cli: new download-build --logs option (jpandia)
- python: remove raise_from from future package (Jiri Kyjovsky)
- Use monorepo setup for Packit (Frantisek Lachman)
- frontend, cli: make pyp2spec the default PyPI spec generator (Jakub Kadlcik)
- dist-git: allow importing pre-generated srpm in rpkg (Jiri Kyjovsky)
- dist-git: refresh pyrpkg.Commands after import_srpm (Jiri Kyjovsky)
- frontend: add failed-to-succeeded-stats command (Jakub Kadlcik)
- build(deps): bump jinja2 from 3.0.0 to 3.1.2 in /keygen (dependabot[bot])
- add how to rename chroot doc (Li Chaoran)
- fix: python build failed in openeuler (Li Chaoran)
- fix: frontend build failed in openEuler (Li Chaoran)
- dist-git: make the cgitrc include file smaller (Pavel Raiskup)
- rpmbuild: extract spec into resultdir regardless of the current directory (Jakub Kadlcik)
- rpmbuild: query exclusivearch and excludearch from spec instead of SRPM (Jakub Kadlcik)
- frontend, backend, rpmbuild: skip excluded chroots (Jakub Kadlcik)
- frontend: don't touch skipped chroots when import is completed (Jakub Kadlcik)
- rpmbuild: run automation classes for both SRPM and RPM builds (Jakub Kadlcik)
- backend: drop bunch dependency from requirements.txt (Jakub Kadlcik)
- keygen: temporarily specify jinja2 version in requirements.txt (Jakub Kadlcik)
- doc: how to reproduce builds (Pavel Raiskup)
- backend, keygen, messaging, python: add now required .readthedocs.yaml (Jakub Kadlcik)
- add packages count at homepage (Li Chaoran)
- frontend: better clone_url matching on webhooks (Pavel Raiskup)
- doc: describe how to enlarge btrfs volumes (Pavel Raiskup)
- beaker: make Copr vendor configurable (Pavel Raiskup)
- beaker: allow running multiple test env containers (Pavel Raiskup)
- beaker: make the Makefile work in 'git worktree' (Pavel Raiskup)
- beaker: pre-create the tested DNF Copr config (Pavel Raiskup)
- rpmbuild: supported in openeuler (Li Chaoran)
- backend: move all python-specfile stuff into try-except (Pavel Raiskup)
- docs: IBM Cloud now requires API key, not password (would require 2FA) (Pavel Raiskup)
- backend: fill SRPM's nevra info spec file (Jiri Kyjovsky)
- rpmbuild: extract spec file from SRPM (Jiri Kyjovsky)
- rpmbuild: make sure we have the latest DNF5 on builders (Jakub Kadlcik)
- add redis auth supported (Li Chaoran)
- Automatic commit of package [copr-backend] release [1.171-1]. (Pavel Raiskup)
- copr_prune_results.py: work-around the arg_max problem (Pavel Raiskup)
- dist-git:add supported openeuler (Li Chaoran)
- Automatic commit of package [copr-backend] release [1.170-1]. (Pavel Raiskup)
- build_aux: don't recreate testing image every time new test is launched (Jiri Kyjovsky)
- rpmbuild: release for EPEL9 too (Pavel Raiskup)
- backend: don't enforce appstream-builder in copr_prune_results (Pavel Raiskup)
- backend: copr_prune_results: just one API call to FE (Pavel Raiskup)
- doc: add list of known public Copr instances (Jakub Kadlcik)
- doc: describe Copr-specific RPM macros (Jakub Kadlcik)
- doc: add 2023-05-25 release notes (Jakub Kadlcik)
- frontend: don't list temporary projects on main page (Jiri Kyjovsky)
- frontend: request confirmation before deleting db (Jiri Kyjovsky)
- ci: better detect the real changes (Pavel Raiskup)
- beaker-tests-sanity: update test container to F38 (Jakub Kadlcik)
- beaker-tests-sanity: use testmodule.yaml for F38 (Jakub Kadlcik)
- beaker-tests-sanity: update tested chroots to F37 and F38 (Jakub Kadlcik)
- tito: stop releasing for F36 (Jakub Kadlcik)
- Automatic commit of package [copr-dist-git] release [0.66-1]. (Jakub Kadlcik)
- Automatic commit of package [copr-rpmbuild] release [0.68-1]. (Jakub Kadlcik)
- dist-git: use `skip` for skipping tests from pytest (Jiri Kyjovsky)
- rpmbuild: fix typo in pyrhon binary python -> python3 (Jiri Kyjovsky)
- Automatic commit of package [copr-frontend] release [1.200-1]. (Jakub Kadlcik)
- Automatic commit of package [copr-backend] release [1.169-1]. (Jakub Kadlcik)
- Automatic commit of package [python-copr-common] release [0.19-1]. (Jakub Kadlcik)
- Automatic commit of package [copr-cli] release [1.109-1]. (Jakub Kadlcik)
- Automatic commit of package [python-copr] release [1.129-1]. (Jakub Kadlcik)
- Automatic commit of package [copr-dist-git] release [0.65-1]. (Jakub Kadlcik)
- Automatic commit of package [copr-keygen] release [1.90-1]. (Jakub Kadlcik)
- Automatic commit of package [copr-messaging] release [0.10-1]. (Jakub Kadlcik)
- Automatic commit of package [copr-rpmbuild] release [0.67-1]. (Jakub Kadlcik)
- cli: show CHROOT in help output instead of CHROOTS (Jakub Kadlcik)
- beaker-tests-sanity: don't test project searching pt.2 (Jakub Kadlcik)
- fix: common build failed in openEuler (Li Chaoran)
- frontend: send follow_fedora_branching value via API (Jiri Kyjovsky)
- beaker-tests-sanity: don't test project searching (Jakub Kadlcik)
- beaker-tests-sanity: don't test armhfp builds anymore (Jakub Kadlcik)
- frontend: add module_hotfixes to Repo schema (Jakub Kadlcik)
- add support for OIDC (Li Chaoran)
- cli: more readable errors related to implicit ownername (Pavel Raiskup)
- fix: keygen build failed in openEuler (Li Chaoran)
- frontend: allow submitting EPEL8 module builds (Jakub Kadlcik)
- doc: add backup recovery page (Jakub Kadlcik)
- doc: fix typo, the backend data label is named copr-repo (Jakub Kadlcik)
- frontend: show resalloc-webui link in the task queue (Jakub Kadlcik)
- backend: forking: better handle FileExistsError (Pavel Raiskup)
- doc: add names for the root volumes (Jakub Kadlcik)
- frontend: accept the OpenID response as a POST request (Pavel Raiskup)
- frontend: OpenAPI first steps (Jakub Kadlcik)
- frontend: automatically create aliases for routes with trailing slash (Jakub Kadlcik)
- doc: adding a pulp instance (Jakub Kadlcik)
- doc: move the architecture diagram to plantuml (Pavel Raiskup)
- frontend: include the Amazon Linux logo for Amazon Linux chroots (David Duncan)
- doc: explain that SRPM is downloaded from DistGit only once per build (Jakub Kadlcik)
- frontend, python, cli: general check if it makes sense to upload SRPM (Jakub Kadlcik)
- cli: describe add-package-custom and edit-package-custom in the manpage (Jakub Kadlcik)
- frontend: add command for generating usage treemap (Jakub Kadlcik)
- doc: update allowed licenses URL from wiki to docs (Jakub Kadlcik)
- doc: move Pagure Integration section into a separate document (Pavel Raiskup)
- doc: update pagure commit flagging description (Pavel Raiskup)
- docs: document [copr-build] keyword (Jiri Kyjovsky)
- dist-git: improve logging feedback for importing package (Jiri Kyjovsky)
- rpmbuild, frontend: add loggs to python-backoff decorator (Jiri Kyjovsky)
- frontend: api3 rpmrepo: provide module_hotfixes opt (Pavel Raiskup)
- fix: we should set git.safe_directory as repo rootdir (lcrpkking)
- rpmbuild: explain how to reproduce the build locally (Jakub Kadlcik)
- backend: run the copr-rpmbuild command with task URL, not build ID (Jakub Kadlcik)
- rpmbuild: retry only git clone without checkouting (Jiri Kyjovsky)
- doc: some grammar and format fixes for the 2023-04-05 release notes (Jakub Kadlcik)
- cli: sync --timeout manpage docs with --help output (Jiri Kyjovsky)
- Derive all message classes from _CoprMessage (Nils Philippsen)
- doc: mention the release notes in toctree (Pavel Raiskup)
- doc: add release notes about 2023-04-05 release (Jiri Kyjovsky)
- rpmbuild: use git checkout instead of switch but ignore files (Jakub Kadlcik)
- build(deps): bump actions/add-to-project from 0.4.1 to 0.5.0 (dependabot[bot])
- ci: avoid the ubiquitous github-code-scanning message (Pavel Raiskup)
- frontend: show API config even for not logged users (Miroslav Suchý)
- Automatic commit of package [copr-backend] release [1.168-1]. (Jiri Kyjovsky)
- Automatic commit of package [copr-dist-git] release [0.64-1]. (Jiri Kyjovsky)
- Automatic commit of package [copr-frontend] release [1.199-1]. (Jiri Kyjovsky)
- Automatic commit of package [copr-cli] release [1.108-1]. (Jiri Kyjovsky)
- Automatic commit of package [python-copr] release [1.128-1]. (Jiri Kyjovsky)
- Automatic commit of package [copr-dist-git] release [0.63-1]. (Jiri Kyjovsky)
- tito: add f38 branch to tito (Jiri Kyjovsky)
- dist-git: skip tests that python3-rpkg breaks (Jiri Kyjovsky)
- Automatic commit of package [copr-dist-git] release [0.62-1]. (Jiri Kyjovsky)
- Automatic commit of package [python-copr] release [1.127-1]. (Jiri Kyjovsky)
- Automatic commit of package [copr-rpmbuild] release [0.66-1]. (Jiri Kyjovsky)
- Automatic commit of package [copr-frontend] release [1.198-1]. (Jiri Kyjovsky)
- Automatic commit of package [copr-cli] release [1.107-1]. (Jiri Kyjovsky)
- Automatic commit of package [copr-backend] release [1.167-1]. (Jiri Kyjovsky)
- frontend: for-DNF5 API rpmrepo route (Pavel Raiskup)
- dist-git: skip test_no_op_1 (Jiri Kyjovsky)
- frontend: change footer links from Bugzilla to GitHub (Jakub Kadlcik)
- frontend: test compat with flask-sqlalchemy 3+ (Pavel Raiskup)
- frontend: don't 500 for KRB5_USER_DENYLIST_PATTERNS=None (Pavel Raiskup)
- We do not have fedora-messaging in openEuler, so change fedora-messaging as a optional runtime-requirement (lcrpkking)
- backend: no need to build require messaging libs (lcrpkking)
- openshift: specify both command+args in deployment (waaagh)
- frontend: explicitly ask which user checks the permissions (Jakub Kadlcik)
- frontend, python, cli: make sure user can build in the project before uploading (Jakub Kadlcik)
- backend: run createrepo without --database (Jiri Kyjovsky)
- make copr_messaging optional (lichaoran)
- rpmbuild: use 'git switch', not 'git checkout' (Pavel Raiskup)
- cli: add `get` cli command for proxy.project.get() (Jiri Kyjovsky)
- docs: how do we monitor Fedora Copr (Pavel Raiskup)
- frontend: change the whooshee packages field to IDLIST (Jakub Kadlcik)
- frontend: update-indexes-quick needs to commit optimized (Jakub Kadlcik)
- frontend: run copr-frontend update-indexes daily (Jakub Kadlcik)
- frontend: rework copr-frontend update-indexes command (Jakub Kadlcik)
- rpmbuild: copr-distgit-client: don't be blocked by empty lines (Pavel Raiskup)
- frontend: LDAP: handle situations when user is in no group (Pavel Raiskup)
- frontend: handle LDAP "uid= not found" situations (Pavel Raiskup)
- Automatic commit of package [python-copr] release [1.126-1]. (Jiri Kyjovsky)
- Automatic commit of package [copr-rpmbuild] release [0.65-1]. (Jiri Kyjovsky)
- Automatic commit of package [copr-messaging] release [0.9-1]. (Jiri Kyjovsky)
- Automatic commit of package [copr-keygen] release [1.89-1]. (Jiri Kyjovsky)
- Automatic commit of package [copr-frontend] release [1.197-1]. (Jiri Kyjovsky)
- Automatic commit of package [copr-dist-git] release [0.61-1]. (Jiri Kyjovsky)
- Automatic commit of package [copr-cli] release [1.106-1]. (Jiri Kyjovsky)
- Automatic commit of package [copr-backend] release [1.166-1]. (Jiri Kyjovsky)
- backend: don't include package name into srpm result dir name (Jiri Kyjovsky)
- fronted: follow the self.result_dir name instead of hardcoded id (Jiri Kyjovsky)
- cli: add --review parameter for download-build (Jakub Kadlcik)
- beaker-tests-sanity: convert inconsistent tabs to spaces (Jakub Kadlcik)
- frontend: allow automation (cron) to remove builds (Pavel Raiskup)
- frontend: allow specifying a KRB5 user denylist (Pavel Raiskup)
- doc: mention all the mass-rebuilding tools that we know of (Jakub Kadlcik)
- dist-git: don't kill background workers for service restarts (Pavel Raiskup)
- rpmbuild: dist-git-client: add basic "clone" method (Pavel Raiskup)
- build(deps): bump actions/add-to-project from 0.4.0 to 0.4.1 (dependabot[bot])
- use openEuler as the canonical name (Li Chaoran)
- cli: disable default option for modifying project (Jiri Kyjovsky)
- python-copr and cli: add option for follow_fedora_branching (Jiri Kyjovsky)
- fix broken rubygem rebuild page. (Li Chaoran)
- distgit: log from what URL a task is being fetched (Jakub Kadlcik)
- build_aux: Add hack for unittesting in container (Jiri Kyjovsky)
- doc: describe modularity features (Jakub Kadlcik)
- frontend: restrict forking of large projects (Jakub Kadlcik)
- cli: simplify `mock-config` output (Pavel Raiskup)
- rpmbuild, frontend: define some copr-specific environment variables (Jakub Kadlcik)
- replacing pagure with github in our projects after copr migration to GH (Jiri Kyjovsky)
- keygen: fix config files installation pattern (Pavel Raiskup)
- messaging: add app_name property to _CoprMessage base class (Ryan Lerch)
- frontend, backend: remove libmodulemd1 dependency (Jakub Kadlcik)
- frontend: use the active_only parameter (Jakub Kadlcik)
- frontend: remove try-except block for fedora older than 36 (Jiri Kyjovsky)
- frontend: fix sorting by build time (Jiri Kyjovsky)
- backend: hardlink RPMs while doing rawhide_to_release (Pavel Raiskup)
- Automatic commit of package [copr-frontend] release [1.196-1]. (Jakub Kadlcik)
- frontend: rawhide_to_release usable index (Pavel Raiskup)
- frontend: rawhide_to_release: don't repeatedly query for CoprChroot (Pavel Raiskup)
- frontend: rawhide_to_release: avoid sqlalchemy warning (Pavel Raiskup)
- frontend: faster rawhide_to_release query (Pavel Raiskup)
- actions: move newly created issues to our issue review board (Jiri Kyjovsky)
- automation: upload pylint errors to GitHub using SARIF (Pavel Raiskup)
- make sign key domain name configurable (Li Chaoran)
- doc: some postrelease fixes after 2023-01-25 release (Jakub Kadlcik)
- frontend: anitya: re-submit already built packages if version is higher (Pavel Raiskup)
- frontend: anitya: re-try downloads from datagrepper (Pavel Raiskup)
- frontend: anitya: fix joins on the expensive query (Pavel Raiskup)
- frontend: anitya: skip also "post" releases (Pavel Raiskup)
- frontend: anitya: dump updated packages to log (Pavel Raiskup)
- frontend: anitya: skip-pre-release versions earlier (Pavel Raiskup)
- frontend: anitya: skip re-building if already being built (Pavel Raiskup)
- frontend: assign anityia builds with packages ASAP (Pavel Raiskup)
- doc: add 2023-01-25 release notes (Jakub Kadlcik)
- Automatic commit of package [copr-frontend] release [1.195-1]. (Pavel Raiskup)
- frontend: anitya: ignore pre-release tarballs sooner (Pavel Raiskup)
- frontend: anitya rebuilds: ignore alpha versions (Pavel Raiskup)
- frontend: fix the "Modules:" form widget (Pavel Raiskup)
- frontend: ignore anitya BadRequest rebuild attempts (Pavel Raiskup)
- Automatic commit of package [copr-rpmbuild] release [0.64-1]. (Jakub Kadlcik)
- rpmbuild: add runtime dependency for python-backoff (Jakub Kadlcik)
- Automatic commit of package [copr-backend] release [1.165-1]. (Jakub Kadlcik)
- backend: skip the test_run_prunerepo test because of Koji (Jakub Kadlcik)
- releng: don't build for F35 anymore (Jakub Kadlcik)
- Automatic commit of package [copr-keygen] release [1.88-1]. (Jakub Kadlcik)
- keygen: fix validation for projects with dash in their name (Jakub Kadlcik)
- Automatic commit of package [copr-frontend] release [1.194-1]. (Jakub Kadlcik)
- Automatic commit of package [copr-backend] release [1.164-1]. (Jakub Kadlcik)
- Automatic commit of package [python-copr-common] release [0.18-1]. (Jakub Kadlcik)
- Automatic commit of package [copr-rpmbuild] release [0.63-1]. (Jakub Kadlcik)
- Automatic commit of package [copr-messaging] release [0.8-1]. (Jakub Kadlcik)
- Automatic commit of package [copr-keygen] release [1.87-1]. (Jakub Kadlcik)
- Automatic commit of package [copr-cli] release [1.105-1]. (Jakub Kadlcik)
- Automatic commit of package [copr-dist-git] release [0.60-1]. (Jakub Kadlcik)
- Automatic commit of package [python-copr] release [1.125-1]. (Jakub Kadlcik)

* Tue Jan 24 2023 Jakub Kadlcik <frostyx@email.cz> 1.55-1
- Use spdx license

* Wed Nov 30 2022 Pavel Raiskup <praiskup@redhat.com> 1.54-1
- new package built with tito
- httpd_t on copr-frontend has the rights to link copr_data_t files (uploaded stuff)

* Mon Feb 11 2019 Jakub Kadlčík <frostyx@email.cz> 1.53-1
- Add more rules for keygen (follow-up to 4f689743)

* Tue Jan 15 2019 Miroslav Suchý <msuchy@redhat.com> 1.52-1
- allow signd to write to socket

* Fri Oct 19 2018 Miroslav Suchý <msuchy@redhat.com> 1.51-1
- do the relabel in %%posttrans
- use git_dir_archive instead of git_dir_pack
- allow frontend's apache to ioctl uploaded tarballs
- packaging: Python 2/3, RHEL/Fedora fixes

* Tue Aug 07 2018 clime <clime@redhat.com> 1.50-1
- fix distro condition for policycoreutils-python

* Mon Aug 06 2018 clime <clime@redhat.com> 1.49-1
- rpkg deployment into COPR

* Fri Feb 23 2018 clime <clime@redhat.com> 1.48-1
- remove Group tag

* Mon Dec 18 2017 Dominik Turecek <dturecek@redhat.com> 1.47-1
- wrap map permission in an optional block

* Wed Apr 19 2017 clime <clime@redhat.com> 1.46-1
- add perl as build dependency

* Wed Apr 19 2017 clime <clime@redhat.com> 1.45-1
- replace fedorahosted links

* Wed Aug 03 2016 Miroslav Suchý 1.44-1
- restore context of only those files, which context changed

* Fri Jul 01 2016 clime <clime@redhat.com> 1.43-1
- Revert "add selinux rule for cgit"

* Wed Jun 29 2016 Miroslav Suchý <msuchy@redhat.com> 1.42-1
- add selinux rule for cgit

* Sat Jun 04 2016 Miroslav Suchý <miroslav@suchy.cz> 1.41-1
- adjust selinux policy generation for separated log file paths

* Sun May 29 2016 Pete Travis <me@petetravis.com> - 1.40-2
- separate log file paths for backend and frontend

* Mon Mar 14 2016 Miroslav Suchý <miroslav@suchy.cz> 1.40-1
- add missing types to requires section

* Fri Feb 12 2016 Miroslav Suchý <msuchy@redhat.com> 1.39-1
- allow copr-dist-git to read dist-git

* Wed Feb 03 2016 Miroslav Suchý <msuchy@redhat.com> 1.38-1
- add rules for dist-git and keygen

* Mon Jul 27 2015 Miroslav Suchý <msuchy@redhat.com> 1.37-1
- 1246610 - depend on policycoreutils-python-utils

* Thu Mar 05 2015 Valentin Gologuzov <vgologuz@redhat.com> 1.36-1
- [selinux] allow httpd_t to write into /var/log/copr/

* Wed Oct 22 2014 Miroslav Suchý <msuchy@redhat.com> 1.35-1
- remove old changelogs

* Mon Oct 20 2014 Miroslav Suchý <msuchy@redhat.com> 1.34-1
- 1077795 - co-own /usr/share/selinux/mls

* Tue Oct 14 2014 Miroslav Suchý <msuchy@redhat.com> 1.33-1
- 1077795 - use macro for /usr/share/

* Mon Oct 13 2014 Miroslav Suchý <msuchy@redhat.com> 1.32-1
- 1077795 - spec cleanup

* Wed May 21 2014 Miroslav Suchý <msuchy@redhat.com> 1.31-1
- follow selinux packaging draft

* Tue Mar 18 2014 Miroslav Suchý <msuchy@redhat.com> 1.30-1
- finish move selinux into separate package
